> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bin move

> Bin move

### Request body

`MoveBetweenBinsRequest`

<ParamField body="from_bin_id" type="integer (int32)" required />

<ParamField body="performed_by" type="string,null" />

<ParamField body="quantity" type="string" required>
  Decimal quantity as a string.
</ParamField>

<ParamField body="reason" type="string,null" />

<ParamField body="sku" type="string" required />

<ParamField body="to_bin_id" type="integer (int32)" required />

### Response

`BinMovementResponse`

<ResponseField name="created_at" type="string" required />

<ResponseField name="from_bin_id" type="integer,null (int32)" />

<ResponseField name="id" type="string" required />

<ResponseField name="movement_type" type="string" required />

<ResponseField name="performed_by" type="string,null" />

<ResponseField name="quantity" type="string" required />

<ResponseField name="reason" type="string,null" />

<ResponseField name="sku" type="string" required />

<ResponseField name="to_bin_id" type="integer,null (int32)" />

### Status codes

| Code  | Meaning |
| ----- | ------- |
| `200` | —       |
| `400` | —       |
| `404` | —       |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/warehouse-bins/move' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "from_bin_id": 1,
    "performed_by": null,
    "quantity": "string",
    "reason": null,
    "sku": "string",
    "to_bin_id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "from_bin_id": null,
    "id": "string",
    "movement_type": "string",
    "performed_by": null,
    "quantity": "string",
    "reason": null,
    "sku": "string",
    "to_bin_id": null
  }
  ```
</ResponseExample>
